> For the complete documentation index, see [llms.txt](https://docs.stacks.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stacks.co/cookbook/stacks.js/token-transfers/transfer-stx.md).

# Transfer STX

{% code fullWidth="false" expandable="true" %}

```typescript
import {
  broadcastTransaction,
  makeSTXTokenTransfer,
  Pc,
  PostConditionMode,
} from "@stacks/transactions";

// Define sender and recipient
const senderAddress = "ST1PQHQKV0RJXZFY1DGX8MNSNYVE3VGZJSRTPGZGM";
const recipientAddress = "ST1SJ3DTE5DN7X54YDH5D64R3BCB6A2AG2ZQ8YPD5";

// Create post-condition to ensure exact amount is sent
const postConditions = Pc.principal(senderAddress)
  .willSendEq(1000000)  // 1 STX in micro-STX
  .ustx();

// Configure transaction options
const txOptions = {
  recipient: recipientAddress,
  amount: 1000000,  // 1 STX in micro-STX
  senderKey: "753b7cc01a1a2e86221266a154af739463fce51219d97e4f856cd7200c3bd2a601",
  network: 'testnet',
  memo: "Transfer memo",  // Optional memo field
  postConditions: [postConditions],
  postConditionMode: PostConditionMode.Deny,
};

// Create and broadcast the transaction
const transaction = await makeSTXTokenTransfer(txOptions);
const broadcastResponse = await broadcastTransaction({ transaction });
console.log("Transaction ID:", broadcastResponse.txid);
```

{% endcode %}

### Description

Send STX tokens between addresses with post-conditions for secure transfers

### Use Cases

* Transferring STX tokens securely between addresses
* Validating transaction amounts for secure transfers

### Key Concepts

* **Post-conditions** - Ensure the exact amount of STX is transferred


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.stacks.co/cookbook/stacks.js/token-transfers/transfer-stx.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
